# Interface IStickyLinesProvider

public interface IStickyLinesProvider
A sticky lines provider calculates the sticky lines for a given source viewer. The sticky lines will be displayed in the top area of the editor.

Since:
  3.20

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static final record`
`IStickyLinesProvider.StickyLinesProperties`
Additional properties and access in order to calculate the sticky lines.

## Method Summary

Modifier and Type
Method
Description
`List<IStickyLine>`
`getStickyLines(ISourceViewer sourceViewer, int lineNumber, IStickyLinesProvider.StickyLinesProperties properties)`
Calculate the sticky lines for the source code of the given sourceViewer.

## Method Details

### getStickyLines

List<IStickyLine> getStickyLines(ISourceViewer sourceViewer, int lineNumber, IStickyLinesProvider.StickyLinesProperties properties)
Calculate the sticky lines for the source code of the given sourceViewer. Specific properties, such as the `tabWidht`, can be retrieved from the `properties`.

Parameters:
  `sourceViewer` - The source viewer containing the source code and gives access to the text widget
  `lineNumber` - The line number to calculate the sticky lines for
  `properties` - Properties for additional information
Returns:
  The list of sticky lines to show